# CraftPresence

## [v1.1.1](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.1.1) (2021-05-21)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.1.0...v1.1.1) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Multiple QOL Changes (See Details)  
    - `ERROR\_BYTE\_OVERFLOW` changed to `ERROR\_BYTE\_INSUFFICIENT` to represent underflow cases when using `PaintSomething`  
    - `EVENT\_SKIPPED` and `EVENT\_PROCESSING` text has been rewritten to be presented in a cleaner format.  
    - Removed `DispatchModernUpdate` and `DispatchLegacyUpdate`. The converged `DispatchUpdate` now uses the new vararg method to parse arguments with pre-filled arguments up to 10 given for 1.12.1 and below users.  
    Notes: I am planning in a future update to allow customization/adding/removing of `ignore\_event\_conditions`, with it also being added as a optional parameter within `ModifyTriggers`. This is mainly so that those using custom placeholders are not limited by the static event-conditions set in place as well as can define their own for any events needed for their placeholders. Current ETA is before `v1.1.5`  
